Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceDataEventImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.util.IRPEventImpl
              com.sun.management.oss.impl.pm.measurement.PmIRPEventImpl
                  com.sun.management.oss.impl.pm.measurement.PerformanceDataEventImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, PerformanceDataEvent, java.io.Serializable, SerializerFactory

public class PerformanceDataEventImpl
extends PmIRPEventImpl
implements PerformanceDataEvent

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceDataEvent
`REPORT, REPORT_FORMAT`

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Constructor Summary
`PerformanceDataEventImpl()`

Method Summary
`java.lang.Object` | `getPerformanceMonitorReport()` Gets the measurement report.
`ReportFormat` | `getReportFormat()` Gets the measurement report format.
`ReportFormat` | `makeReportFormat()` Creates a new instance of the `ReportFormat` interface.
`void` | `setPerformanceMonitorReport(java.lang.Object report)` Sets the measurement report.
`void` | `setReportFormat(ReportFormat format)` Sets the report format of the measurement report.

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PmIRPEventImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.util.IRPEventImpl
`getApplicationDN, getEventTime, getManagedObjectClass, getManagedObjectInstance, getNotificationId, getSupportedOptionalAttributeNames, setApplicationDN, setEventTime, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.util.IRPEvent
`getManagedObjectClass, getManagedObjectInstance, getNotificationId, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from interface com.sun.management.oss.Event
`clone, getApplicationDN, getEventTime, setApplicationDN, setEventTime`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Constructor Detail

### PerformanceDataEventImpl

    public PerformanceDataEventImpl()

Method Detail

### getPerformanceMonitorReport

    public java.lang.Object getPerformanceMonitorReport()
                                                 throws java.lang.IllegalStateException

  Description copied from interface: `PerformanceDataEvent`
  Gets the measurement report.

  If the measurement result is in XML format a String object will be returned.

  Specified by:
    `getPerformanceMonitorReport` in interface `PerformanceDataEvent`
  Returns:
    Object The measurement result.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `PerformanceDataEvent.setPerformanceMonitorReport(java.lang.Object)`

### getReportFormat

    public ReportFormat getReportFormat()
                                 throws java.lang.IllegalStateException

  Description copied from interface: `PerformanceDataEvent`
  Gets the measurement report format.

  Specified by:
    `getReportFormat` in interface `PerformanceDataEvent`
  Returns:
    ReportFormat The measurement report format.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `PerformanceDataEvent.setReportFormat(com.sun.management.oss.pm.measurement.ReportFormat)`

### makeReportFormat

    public ReportFormat makeReportFormat()

  Description copied from interface: `PerformanceDataEvent`
  Creates a new instance of the `ReportFormat` interface.

  Specified by:
    `makeReportFormat` in interface `PerformanceDataEvent`
  Returns:
    ReportFormat The created object. The object is empty.

### setPerformanceMonitorReport

    public void setPerformanceMonitorReport(java.lang.Object report)
                                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceDataEvent`
  Sets the measurement report.

  If the measurement report is in XML format a String object will be provided.

  Specified by:
    `setPerformanceMonitorReport` in interface `PerformanceDataEvent`
  Parameters:
    `report` - The measurement report object.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `PerformanceDataEvent.getPerformanceMonitorReport()`

### setReportFormat

    public void setReportFormat(ReportFormat format)
                         throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceDataEvent`
  Sets the report format of the measurement report.

  The supporting report format can be retrieved by using the PerformanceMonitorMethods.getReportFormats().

  Specified by:
    `setReportFormat` in interface `PerformanceDataEvent`
  Parameters:
    `format` - The report format of the measurement report.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `PerformanceDataEvent.getReportFormat()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD